(1932-2011) Higgs, a former professor at the University of Waterloo, died February 25 at the age of 78. He received his PhD from McMaster University in 1970 and was the author or co-author of more than 30 research articles. Higgs was an AMS member since 1970.